WSNotification::Elements::GetMessagesResponse(3)

NAME
WSNotification::Elements::GetMessagesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetMessagesResponse from the namespace http://docs.oasis-open.org/wsn/b-2.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   NotificationMessage

     $element->set_NotificationMessage($data);
     $element->get_NotificationMessage();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
 my $element = WSNotification::Elements::GetMessagesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   NotificationMessage =>  { # WSNotification::Types::NotificationMessageHolderType
     SubscriptionReference =>  { # WSNotification::Types::EndpointReferenceType
       Address =>  { value => $some_value },
       ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
       },
       Metadata =>  { # WSNotification::Types::MetadataType
       },
     },
     Topic =>  { # WSNotification::Types::TopicExpressionType
     },
     ProducerReference =>  { # WSNotification::Types::EndpointReferenceType
       Address =>  { value => $some_value },
       ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
       },
       Metadata =>  { # WSNotification::Types::MetadataType
       },
     },
     Message =>  {
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL